# Interface SimpleFillSymbolJSON

Represents the JSON structure for a simple fill symbol, used for serializing symbol properties.

interface SimpleFillSymbolJSON {
color?: number[];
outline?: {
color?: number[];
type?: "simple-line";
width?: number;
};
style?: "none" | "solid";
}

#####
Index

### Properties

color?
outline?
style?

##
Properties

### `Optional` color

color?: number[]

The color of the fill, represented as an RGBA array.

### `Optional` outline

outline?: {
color?: number[];
type?: "simple-line";
width?: number;
}

The outline of the symbol.

#### Type declaration

- ##### `Optional` color?: number[]

  The color of the outline, represented as an RGBA array.

- ##### `Optional` type?: "simple-line"

  Optional type discriminator for autocasting.

- ##### `Optional` width?: number

  The width of the outline.

### `Optional` style

style?: "none" | "solid"

The fill style of the symbol.